###############################################################################
# YaBB.pl                                                                     #
###############################################################################
#                                                                             #
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
#                                                                             #
# Version:        YaBB 1 Gold - SP 1.3.2                                      #
# Released:       December 2001; Updated August 17, 2004                      #
# Distributed by: http://www.yabbforum.com                                    #
#                                                                             #
# =========================================================================== #
#                                                                             #
# Copyright (c) 2000-2004 YaBB (www.yabbforum.com) - All Rights Reserved.     #
#                                                                             #
# Software by:  The YaBB Development Team                                     #
#               with assistance from the YaBB community.                      #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
#               Your source for web hosting, web design, and domains.         #
#                                                                             #
###############################################################################

$sublistplver = "1 Gold - SP 1.3.2";

sub Blog
{
	#error for guests
	&fatal_error("$txt{'223'}") if ($username eq 'Guest');
	
	fopen(FILE, "$memberdir/$username.dat");
	@memsettings=<FILE>;
	fclose(FILE);

	###########3
	
		fopen(FILE, "./Blogs/blog.txt"); 
@blogs = <FILE>; 
fclose(FILE);
		chomp @blogs;
		
		for ($i = 0; $i < @blogs; $i++)
	{
		if ($blogs[$i] eq $username){ 
		 $realmember=$blogs[$i-1] ;}
		}
if($realmember eq''){
$realmember=time;
		fopen(FILE, ">>./Blogs/blog.txt"); 
print FILE "$realmember\n";
print FILE "$username\n";
fclose(FILE);
}
	
	###############
	
	
	$ybg = "$memberdir/$realmember.blog";
	fopen(FILE, $ybg); @lines = <FILE>; fclose(FILE);

	chomp $lines[0];
	($last_modified, $ns, $ybg_banned, $hits, $teaseline, $anonname, $showblog, $anonymous) = split(/\|/, $lines[0]);
	
	
		
	#are we banned?
	&fatal_error($blog_txt{'13'}) if ($ybg_banned);

	$theblog="./Blogs/$realmember.blg";
		fopen(FILE, $theblog); @bloglist = <FILE>; fclose(FILE);

	$max_ybg_size='100';
	
	#get the size of their Blog
	$ybg_size_bytes = -s($theblog);
	$ybg_size_kilobytes = ($ybg_size_bytes > 0 && $ybg_size_bytes < 1024) ? 1 : int($ybg_size_bytes / 1024);

	#see if we're nearing the limit for file size
	$max_ybg_size_bytes = $max_ybg_size * 1024;
	$lower_limit = ($max_ybg_size_bytes / 10) * 9;
	#we want a warning if above 90% of max. file size
	$filesize_warning = ($ybg_size_bytes > $lower_limit) ? qq~<p>Warning Your Blog is Over 90% of the maximum Size ($max_ybg_size\Kb.)</p>~ : '';

	#how many words can we fit in the maximum size? (approx.)
	$word_count = int($max_ybg_size_bytes / 6);

	#work out which links to show
	$delete_ybg_link = ( ! -e($ybg) ) ? qq~<li>$ybg_txt{'7'}~ : qq~<li><a href="javascript:DoConfirm('$ybg_txt{'7'}?','$cgi;action=blogdelete;member=$realmember')">$ybg_txt{'7'}</a>~;
	#and the same for the "view your blog" link
	$view_ybg_link = (! -e($ybg) ) ? qq~<li>$ybg_txt{'8'}~ : qq~<li><a href="$cgi;action=blogview;member=$realmember">$ybg_txt{'8'}</a>~;

	$yytitle = $blog_txt{'5'};

	#set up the normal page for unrestricted users
	$usual_page = qq~
$filesize_warning

<ul>
<li>$ybg_size_kilobytes\Kb ($txt{'576'}. $max_ybg_size\Kb).
<li><a href="$cgi;action=blogedit;member=$realmember">$blog_txt{'9'}</a>
$delete_ybg_link
$view_ybg_link
$ban_link
</ul>

<ul>
<li><a href="$cgi;action=bloglistall">$ybg_txt{'11'}</a>
</ul>
~;

	#restricted page - if restricting users is on and this person isn't allowed a page yet
	$restricted_page = qq~<p>$blog_txt{'23'}</p>~;

	#if only certain users are allowed blogs, see if this one is allowed
	#if not, show them the IM link for requesting one
	if ($ybg_allowed_users)
	{
		$is_allowed = 0;

		@legit_users = split(/\,/, $ybg_allowed_users);
		foreach $legit_user (@legit_users)
		{
			if ($username eq $legit_user) { $is_allowed = 1; last; }
		}

		if ($is_allowed || $settings[7] eq 'Administrator') { $page_output = $usual_page; }
		else { $page_output = $restricted_page; }
	}
	else { $page_output = $usual_page; }

	$yymain .= qq~
<script language="javascript"><!--
function DoConfirm(message, url) { if(confirm(message)) location.href = url; }
// --></script>
<br>
<table border="0" width="100%" cellspacing="1" cellpadding="6" bgcolor="$color{'bordercolor'}" class="bordercolor">
<tr>
<td class="titlebg" bgcolor="$color{'titlebg'}"><font size=2 class="text1" color="$color{'titletext'}"><b>$yytitle</b></font></td>
</tr><tr>
<td class="windowbg2" bgcolor="$color{'windowbg'}"><font size=2><br>

$page_output

</font></td>
</tr>
</table>
~;

	&template;
	exit;
}


#edit a page
sub BlogEdit
{
	#error for guests
	&fatal_error("$txt{'223'}") if ($username eq 'Guest');

	$member = $INFO{'member'} || &fatal_error("$ybg_txt{'15'}");

##############
		fopen(FILE, "./Blogs/blog.txt"); 
@blogs = <FILE>; 
fclose(FILE);
		chomp @blogs;
		
		for ($i = 0; $i < @blogs; $i++)
	{
		if ($blogs[$i] eq $member){ 
		 $realmember=$blogs[$i+1] ;}
		}
		###########
	#for a start, should this member even be on this page?
	&fatal_error("$blog_txt{'12'}") unless ($realmember eq $username || $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator');
if(-e ("$memberdir/$member.blog"))
{
	$ybg = "$memberdir/$member.blog";
	fopen(FILE, $ybg); @lines = <FILE>; fclose(FILE);

	chomp $lines[0];
	($last_modified, $ns, $ybg_banned, $hits, $teaseline, $anonname, $showblog, $anonymous) = split(/\|/, $lines[0]);
}else{
	$teaseline='Daily Diary';
  $anonname='Anonymous';	
	$showblog='checked';
		}
	#are we banned?
	&fatal_error($blog_txt{'13'}) if ($ybg_banned && $settings[7] ne 'Administrator' && $settings[7] ne 'Global Moderator');

	#is this member allowed to have a page?
	if ($ybg_allowed_users)
	{
		$is_allowed = 0;

		@legit_users = split(/\,/, $ybg_allowed_users);
		foreach $legit_user (@legit_users)
		{
			if ($member eq $legit_user) { $is_allowed = 1; last; }
		}

		unless ($is_allowed || $settings[7] eq 'Administrator') { &fatal_error($ybg_txt{'24'}); }
	}

	#get the last modified date (the first line [0])
	chomp $last_modified; $last_modified = &timeformat($last_modified) || $txt{'470'};
	#check the "disable smilies" box?
	$ns_checked = ($ns eq 'NS') ? ' checked' : '';
	$showblog_checked = ($showblog eq 'checked') ? ' checked' : '';
	$anonymous_checked = ($anonymous eq 'checked') ? ' checked' : '';
	
	#now the page itself - starts on the second line [1]
	$num_lines = @lines;
	for ($count = 1; $count < $num_lines; $count++)
	{
		$this_line = $lines[$count];
		chomp $this_line;
		$lines_list .= qq~$this_line\n~;
	}

	$lines_list =~ s/\n$//;

	#get the right member info
	#we don't need to load anything if viewing our own page
	if ($realmember eq $username) { $membername = $settings[1]; }
	else
	{
		fopen(FILE, "$memberdir/$realmember.dat"); @memsettings = <FILE>; fclose(FILE);
		chomp @memsettings;
		$membername = $memsettings[1];
	}

	$yytitle = qq~$blog_txt{'5'} - $blog_txt{'9'} ($membername)~;

	$yymain .= qq~
	<!-- Begin SpelChek code snippet #1 -->
 <script>
 function sendtext() {
 var semi = new RegExp(";","g");
 document.send.checkme.value = (document.postmodify.message.value.replace(semi,";"));
 document.send.form.value = "postmodify";
 document.send.field.value = "message";
 document.send.box.value = "win";
 document.send.version.value = "1.3";
 window.open('http://spelchek.com/sc_data/loading.htm','SpelChek','width=700,height=370,top=150,left=100,scrollbars=1,titlebar=no,location=false');
 document.send.submit();
 }
 </script>
 <form name="send" id=send action="http://www.SpelChek.com/cgi-bin/spelchek.cgi" method="POST" target=SpelChek>
 <input type="hidden" id=checkme name="checkme">
 <input type="hidden" name="form">
 <input type="hidden" name="box">
 <input type="hidden" name="field">
 <input type="hidden" name="edittext">
 <input type="hidden" name="version">
 <input type="hidden" name="spell" value="check">
 <script>
 document.write('<input type="hidden" name="mole" value="http://'+document.domain+'/spellck1.html">')
 </script>
 </form>
 <!-- End SpelChek code snippet #1 -->
<script language="JavaScript1.2" src="$ubbcjspath" type="text/javascript"></script>
<script language="javascript"><!--
function DoConfirm(message, url) { if(confirm(message)) location.href = url; }

function iSubmitOnce(theform)
{
	// if IE 4+ or NS 6+
	if (document.all || document.getElementById)
	{
		// hunt down "submit" and "reset"
		for (i = 0;i < theform.length; i++)
		{
			var tempobj = theform.elements[i];
			if(tempobj.type.toLowerCase() == "submit" || tempobj.type.toLowerCase() == "reset")
				tempobj.disabled = true;
		}
	}
}
// --></script>

<form action="$cgi;action=blogedit2;member=$member" method="POST" onSubmit="iSubmitOnce(this);" name="postmodify">
<input type="hidden" name="ybg_banned" value="$ybg_banned">
<input type="hidden" name="safety_check" value="1">
<input type="hidden" name="hits" value="$hits">

<table border="0" width="100%" cellspacing="1" cellpadding="6" bgcolor="$color{'bordercolor'}" class="bordercolor">
<tr>
<td class="titlebg" bgcolor="$color{'titlebg'}"><font size=2 class="text1" color="$color{'titletext'}"><b>$yytitle</b></font></td>
</tr>

<tr>
<td valign=middle class="windowbg2" bgcolor="$color{'windowbg2'}" colspan=2>

	<table border=0 cellspacing=3 cellpadding=3>
	<tr><td><font size=2>$ybg_txt{'14'}: </font></td><td><font size=2>$last_modified</font></td></tr>
	~;
	
	if($enable_ubbc && $showyabbcbutt)
	{
		$yymain .= qq~
	      <tr>
        <td class="windowbg2" bgcolor="$color{'windowbg2'}" width="23%"><font size=2><b>$txt{'252'}:</b></font><font size="2"><sub><br>&nbsp;&nbsp;<a href="$scripturl?action=mhelpy" target="_blank" >[YaBBC Tags Help]</a></font></sub></td>
        <td valign=middle class="windowbg2" bgcolor="$color{'windowbg2'}">
        <script language="JavaScript1.2" type="text/javascript">
        <!--
        if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "WebTV Plus Receiver" && navigator.appVersion.charAt(0) >= 3) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
          HAND = "onmouseover=this.style.cursor='hand'";
					document.write("<img src='$imagesdir/bold.gif' onclick='bold();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'253'}' title='$txt{'253'}' border='0'>");
          document.write("<img src='$imagesdir/italicize.gif' onclick='italicize();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'254'}' title='$txt{'254'}' border='0'>");
          document.write("<img src='$imagesdir/underline.gif' onclick='underline();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'255'}' title='$txt{'255'}' border='0'>");
          document.write("<img src='$imagesdir/strike.gif' onclick='strike();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'441'}' title='$txt{'441'}' border='0'>");
          document.write("<img src='$imagesdir/glow.gif' onclick='glow();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'442'}' title='$txt{'442'}' border='0'>");
          document.write("<img src='$imagesdir/shadow.gif' onclick='shadow();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'443'}' title='$txt{'443'}' border='0'>");
          document.write("<img src='$imagesdir/move.gif' onclick='move();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'439'}' title='$txt{'439'}' border='0'>");
          document.write("<img src='$imagesdir/pre.gif' onclick='pre();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'444'}' title='$txt{'444'}' border='0'>");
          document.write("<img src='$imagesdir/left.gif' onclick='left();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'445'}' title='$txt{'445'}' border='0'>");
          document.write("<img src='$imagesdir/center.gif' onclick='center();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'256'}' title='$txt{'256'}' border='0'>");
          document.write("<img src='$imagesdir/right.gif' onclick='right();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'446'}' title='$txt{'446'}' border='0'>");
          document.write("<img src='$imagesdir/hr.gif' onclick='hr();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'531'}' title='$txt{'531'}' border='0'>");
          document.write("<img src='$imagesdir/size.gif' onclick='size();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'532'}' title='$txt{'532'}' border='0'>");
          document.write("<img src='$imagesdir/face.gif' onclick='font();' "+HAND+" align=bottom width='23' height='22' alt='$txt{'533'}' title='$txt{'533'}' border='0'>");
          document.write("<img src='$imagesdir/me.gif' onclick='me();' "+HAND+" align=bottom width='23' height='22' alt='$txt{'533a'}' title='$txt{'533a'}' border='0'>");
        }
        else { document.write("<font size='1'>$txt{'215'}</font>"); }
        //-->
        </script>
        <noscript>
        <font size="1">$txt{'215'}</font>
        </noscript>
        <select name="color" onChange="showcolor(this.options[this.selectedIndex].value)">
         <option value="White" selected>$txt{'262'}</option>
         <option value="Red" style="color:#FF0000">$txt{'263'}</option>
         <option value="Yellow" style="color:#FFFF00">$txt{'264'}</option>
         <option value="Pink" style="color:#FFC0CB">$txt{'265'}</option>
         <option value="Springgreen" style="color:#00FF7F">$txt{'266'}</option>
         <option value="Orange" style="color:#FFA500">$txt{'267'}</option>
         <option value="Aqua" style="color:#00FFFF">$txt{'268'}</option>
         <option value="Fuchsia" style="color:#FF00FF">$txt{'269'}</option>
         <option value="Beige" style="color:#F5F5DC">$txt{'270'}</option>
         <option value="Brown" style="color:#A52A2A">$txt{'271'}</option>
         <option value="Lemonchiffon" style="color:#FFFACD">$txt{'272'}</option>
         <option value="Gold" style="color:#FFD700">$txt{'273'}</option>
         <option value="Turquoise" style="color:#40E0D0">$txt{'274'}</option>
         <option value="Lime" style="color:#00FF00">$txt{'275'}</option>
         <option value="Aquamarine" style="color:#7FFFD4">$txt{'275a'}</option>
         <option value="Azure" style="color:#F0FFFF">$txt{'275b'}</option>
         <option value="Chartreuse" style="color:#7FFF00">$txt{'275c'}</option>
         <option value="Coral" style="color:#FF7F50">$txt{'275d'}</option>
         <option value="Crimson" style="color:#DC143C">$txt{'275e'}</option>
         <option value="Magenta" style="color:#FF00FF">$txt{'275f'}</option>
         <option value="Mistyrose" style="color:#FFE4E1">$txt{'275g'}</option>
         <option value="Plum" style="color:#DDA0DD">$txt{'275h'}</option>
         <option value="Wheat" style="color:#F5DEB3">$txt{'275i'}</option>
         <option value="Paleturquoise" style="color:#AFEEEE">$txt{'275j'}</option>
        </select> <br>
        <script language="JavaScript1.2" type="text/javascript">
        <!--
        if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "WebTV Plus Receiver" && navigator.appVersion.charAt(0) >= 3) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
					document.write("<img src='$imagesdir/flash.gif' onclick='flash();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'433'}' border='0'>");
          document.write("<img src='$imagesdir/url.gif' onclick='hyperlink();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'257'}' border='0'>");
          document.write("<img src='$imagesdir/ftp.gif' onclick='ftp();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'434'}' border='0'>");
          document.write("<img src='$imagesdir/img.gif' onclick='image();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'435'}' border='0'>");
          document.write("<img src='$imagesdir/email2.gif' onclick='emai1();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'258'}' border='0'>");
          document.write("<img src='$imagesdir/table.gif' onclick='table();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'436'}' border='0'>");
          document.write("<img src='$imagesdir/tr.gif' onclick='trow();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'437'}' border='0'>");
          document.write("<img src='$imagesdir/td.gif' onclick='tcol();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'449'}' border='0'>");
          document.write("<img src='$imagesdir/sup.gif' onclick='superscript();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'447'}' border='0'>");
          document.write("<img src='$imagesdir/sub.gif' onclick='subscript();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'448'}' border='0'>");
          document.write("<img src='$imagesdir/tele.gif' onclick='teletype();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'440'}' border='0'>");
          document.write("<img src='$imagesdir/code.gif' onclick='showcode();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'259'}' border='0'>");
          document.write("<img src='$imagesdir/quote2.gif' onclick='quote();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'260'}' border='0'>");
          document.write("<img src='$imagesdir/list.gif' onclick='list();' "+HAND+" align='bottom' width='23' height='22' alt='$txt{'261'}' border='0'>");
					document.write("<img src='$imagesdir/edit1.gif' onclick='insertedit();' "+HAND+" align=bottom width='23' height='22' alt='$txt{'261c'}' border='0'>");
        }
        else { document.write("<font size='1'>$txt{'215'}</font>"); }
        //-->
        </script>
        <noscript>
        <font size="1">$txt{'215'}</font>
        </noscript>
				       <script language="JavaScript1.2" type="text/javascript">         <!--
        if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "WebTV Plus Receiver" && navigator.appVersion.charAt(0) >= 3) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
          document.write("<img src='$imagesdir/mem.gif' onclick='mem();' "+HAND+" align=bottom width=23 height=22 alt='Content for Member View Only' border='0'>");
          document.write("<img src='$imagesdir/tomem.gif' onclick='tomem();' "+HAND+" align=bottom width=23 height=22 alt='Enter Member Name for Hidden Content' border='0'>");
        }
        else { document.write("<font size='1'>$txt{'215'}</font>"); }
        //-->
        </script>
        <noscript>
        <font size="1">$txt{'215'}</font>
        </noscript>
    
	</td>
	</tr>
~;
}
	$yymain .= qq~
		<tr><td><font size=2>$txt{'297'}: </font></td>
		<td>
        <script language="JavaScript1.2" type="text/javascript">
        <!--
        if((navigator.appName == "Netscape" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Microsoft Internet Explorer" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Opera" && navigator.appVersion.charAt(0) >= 4) || (navigator.appName == "Konqueror" && navigator.appVersion.charAt(0) >= 2)) {
          document.write("<img src='$imagesdir/smiley.gif' onclick='smiley();' "+HAND+" align=bottom alt='$txt{'287'}' border='0'> ");
          document.write("<img src='$imagesdir/wink.gif' onclick='wink();' "+HAND+" align=bottom alt='$txt{'292'}' border='0'> ");
          document.write("<img src='$imagesdir/cheesy.gif' onclick='cheesy();' "+HAND+" align=bottom alt='$txt{'289'}' border='0'> ");
          document.write("<img src='$imagesdir/grin.gif' onclick='grin();' "+HAND+" align=bottom alt='$txt{'293'}' border='0'> ");
          document.write("<img src='$imagesdir/angry.gif' onclick='angry();' "+HAND+" align=bottom alt='$txt{'288'}' border='0'> ");
          document.write("<img src='$imagesdir/sad.gif' onclick='sad();' "+HAND+" align=bottom alt='$txt{'291'}' border='0'> ");
          document.write("<img src='$imagesdir/shocked.gif' onclick='shocked();' "+HAND+" align=bottom alt='$txt{'294'}' border='0'> ");
          document.write("<img src='$imagesdir/cool.gif' onclick='cool();' "+HAND+" align=bottom alt='$txt{'295'}' border='0'> ");
          document.write("<img src='$imagesdir/huh.gif' onclick='huh();' "+HAND+" align=bottom alt='$txt{'296'}' border='0'> ");
          document.write("<img src='$imagesdir/rolleyes.gif' onclick='rolleyes();' "+HAND+" align=bottom alt='$txt{'450'}' border='0'> ");
          document.write("<img src='$imagesdir/tongue.gif' onclick='tongue();' "+HAND+" align=bottom alt='$txt{'451'}' border='0'> ");
          document.write("<img src='$imagesdir/embarassed.gif' onclick='embarassed();' "+HAND+" align=bottom alt='$txt{'526'}' border='0'> ");
          document.write("<img src='$imagesdir/lipsrsealed.gif' onclick='lipsrsealed();' "+HAND+" align=bottom alt='$txt{'527'}' border='0'> ");
          document.write("<img src='$imagesdir/undecided.gif' onclick='undecided();' "+HAND+" align=bottom alt='$txt{'528'}' border='0'> ");
          document.write("<img src='$imagesdir/kiss.gif' onclick='kiss();' "+HAND+" align=bottom alt='$txt{'529'}' border='0'> ");
          document.write("<img src='$imagesdir/cry.gif' onclick='cry();' "+HAND+" align=bottom alt='$txt{'530'}' border='0'> ");
        }
        else { document.write("<font size='1'>$txt{'215'}</font>"); }
        //-->
        </script>
        <noscript>
        <font size="1">$txt{'215'}</font>
        </noscript>
	</td>
	</tr>
	
	<tr>
	<td><font size=2>$txt{'276'}: </font></td>
	<td><input type="checkbox" name="ns" value="NS"$ns_checked></td></tr>
	<tr><td><font size=2>Show To Public: </font></td><td><input type="checkbox" name="showblog" value="checked"$showblog_checked></td></tr>
	<tr><td><font size=2>Display as Anonymous or pseudonym: </font></td><td><input type="checkbox" name="anonymous" value="checked"$anonymous_checked>
	<input type="text" name="anonname" size="30" value="$anonname"$anonname></td></tr>
		<tr>
	<td><font size=2>Subject: </font></td>
	<td>&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="teaseline" size="40" value="$teaseline"$teaseline></td>
	</tr>
	</table>

</td>
</tr>
	  
<tr><td class="windowbg2" bgcolor="$color{'windowbg'}" colspan=2><font size=2>

<textarea name="message" cols="60" rows="10" wrap="virtual" wrap="soft" style="width:100%" ONCLICK="javascript:storeCaret(this);" ONKEYUP="javascript:storeCaret(this);" ONCHANGE="javascript:storeCaret(this);">$lines_list</textarea><br>
<!-- Begin SpelChek code snippet #2 --> <input type="button" value="SpelChek" name="SpelChek"   style="background-color: #E5E5FF; color: #000080; font-family: Verdana; font-size: 12px; font-weight: bold"   LANGUAGE="javascript" onclick="document.send.edittext.value=''; sendtext()">  <!--  End SpelChek code snippet #2  -->
<input type="submit" value="$blog_txt{'9'}">&nbsp;$txt{'377'} <a href="javascript:DoConfirm('$ybg_txt{'7'}?','$cgi;action=blogdelete;member=$member')">$ybg_txt{'7'}</a>.
</font></td>
</form>
</tr>
</table>
~;

	&template;
	exit;
}





#print the new blog
sub BlogEdit2
{
	
	#stop people accessing this (and wiping .blog files) through the URL
	&fatal_error($blog_txt{'12'}) if (!$FORM{'safety_check'});

	$member = $INFO{'member'} || &fatal_error("$ybg_txt{'15'}");
	$ybg = "$memberdir/$member.blog";
	$message = $FORM{'message'};
	$ns = $FORM{'ns'} || 0;
	$showblog = $FORM{'showblog'} || 0;
	$anonymous = $FORM{'anonymous'} || 0;
	$ybg_banned = $FORM{'ybg_banned'} || 0;
	$hits = $FORM{'hits'} || 0;
	$teaseline = $FORM{'teaseline'} || 'Daily Diary';
	$anonname = $FORM{'anonname'} || 'Anonymous';
	
##############
		fopen(FILE, "./Blogs/blog.txt"); 
@blogs = <FILE>; 
fclose(FILE);
		chomp @blogs;
		
		for ($i = 0; $i < @blogs; $i++)
	{
		if ($blogs[$i] eq $member){ 
		 $realmember=$blogs[$i+1] ;}
		}
		###########
	#for a start, should this member even be on this page?
	&fatal_error("$blog_txt{'12'}") unless ($realmember eq $username || $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator');

#	#a blank blog
#	if ($message eq '')
#	{
#		unlink("$ybg");
#		$yySetLocation = qq~$cgi;action=blog~;
#		&redirectexit;
#	}

	##
	
		if (length($teaseline) > 40) { $teaseline = substr($teaseline,0,40); }
    $teaseline=~ s/\"/\'/g;
		
		if (length($anonname) > 60) { $anonname = substr($anonname,0,60); }
    $anonname=~ s/\"/\'/g;

	
	
	#do we need to trim their blog?
	if (length($message) > ($max_ybg_size * 1024)) { $message = substr($message, 0, ($max_ybg_size * 1024)); }

	#ensure proper end of line characters are printed to file
	$message =~ s/\n//g;
	$message =~ s/\r/\n/g;
	#replace < and > to avoid nastiness
	$message =~ s/</&lt;/g;
	$message =~ s/>/&gt;/g;

	#strip all new lines from end of file
	while ($message =~ /\n$/) { $message =~ s/\n$//i; }
	#cut down max. consecutive blank lines to 2
	$message =~ s~\n\n\n\n+~\n\n\n~ig;
	#cut down max. consecutive spaces to 2
	$message =~ s~   +~  ~ig;

	#write the blog to file  
	fopen(WRITEFILE, ">$ybg");
	print WRITEFILE "$date\|$ns\|$ybg_banned\|$hits\|$teaseline\|$anonname\|$showblog\|$anonymous\n$message";
	fclose(WRITEFILE);
	

	$yySetLocation = qq~$cgi;action=blogview;member=$member~;
	&redirectexit;
}

#delete a user.blog file
#should get $FORM{'member'} for whose to delete
sub BlogDelete
{
	$member = $INFO{'member'} || &fatal_error($ybg_txt{'15'});
		fopen(FILE, "./Blogs/blog.txt"); 
@blogs = <FILE>; 
fclose(FILE);
		chomp @blogs;
		
		for ($i = 0; $i < @blogs; $i++)
	{
		if ($blogs[$i] eq $member){ 
		 $realmember=$blogs[$i+1] ;}
		}
	#for a start, should this member even be on this page?
	&fatal_error($blog_txt{'12'}) unless ($realmember eq $username || $settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator');

	#delete it
	unlink("$memberdir/$member.blog");

	$yySetLocation = qq~$cgi;action=blog~;
	&redirectexit;
}
#ban or unban a member from using their blog
#decides by switching whatever the current ban setting is
sub BlogBan
{
	$member = $INFO{'member'} || &fatal_error("$ybg_txt{'15'}");

	#error for guests
	&fatal_error("$txt{'223'}") if ($username eq 'Guest');
	#for a start, should this member even be on this page?
	&fatal_error("$blog_txt{'12'}") unless ($settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator');

	$ybg = "$memberdir/$member.blog";
	fopen(FILE, $ybg); @lines = <FILE>; fclose(FILE);

	chomp $lines[0];
	($last_modified, $ns, $ybg_banned, $hits, $teaseline, $anonname, $showblog, $anonymous) = split(/\|/, $lines[0]);

	#switch the ban setting
	$ybg_banned = ($ybg_banned) ? 0 : 1;

	#create the altered top line
	$lines[0] = qq~$last_modified|$ns|$ybg_banned|$hits|$teaseline|$anonname|$showblog|$anonymous\n~;

	#write the blog to file
	fopen(WRITEFILE, ">$ybg");
	print WRITEFILE @lines;
	fclose(WRITEFILE);

	$yySetLocation = qq~$cgi;action=blogview;member=$member~;
	&redirectexit;
}

1;