###############################################################################
# YaBB.pl                                                                     #
###############################################################################
#                                                                             #
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
#                                                                             #
# Version:        YaBB 1 Gold - SP 1.3.2                                      #
# Released:       December 2001; Updated August 17, 2004                      #
# Distributed by: http://www.yabbforum.com                                    #
#                                                                             #
# =========================================================================== #
#                                                                             #
# Copyright (c) 2000-2004 YaBB (www.yabbforum.com) - All Rights Reserved.     #
#                                                                             #
# Software by:  The YaBB Development Team                                     #
#               with assistance from the YaBB community.                      #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
#               Your source for web hosting, web design, and domains.         #
#                                                                             #
###############################################################################

$sublistplver = "1 Gold - SP 1.3.2";

#list all members with blogs
sub BlogListAll
{
	#error for guests
	#&fatal_error("$txt{'223'}") if ($username eq 'Guest');

	opendir(DIR, "$memberdir") || fatal_error("$txt{'230'}: $memberdir");
	@contents = readdir(DIR);
	closedir(DIR);
			fopen(FILE, "$vardir/log.txt");
			@entries = <FILE>;
			fclose(FILE);
	#create an array of members with blogs
	@home_members = ();
	$count = 0;

	

	foreach $line (@contents)
	{
		@filename_components = split(/\./, $line);
		if ($filename_components[-1] eq 'blog')
		{
			#fix the bug with usernames with . in by concatenating all but the last piece of @filename_components
			$joined_name = '';
			$array_length = scalar(@filename_components) - 2;
			for ($i = 0; $i <= $array_length; $i++)
			{
				$joined_name .= $filename_components[$i] . '.';
			}
			$joined_name =~ s/\.$//i;

			#is this member allowed to have a page?
			if ($ybg_allowed_users)
			{
				@legit_users = split(/\,/, $ybg_allowed_users);
				foreach $legit_user (@legit_users)
				{
					if ($joined_name eq $legit_user) { push(@home_members, $joined_name); $count++; last; }
				}
			}
			else { push(@home_members, $joined_name); $count++; }
		}
	}

	$yytitle = qq~$blog_txt{'5'} - $blog_txt{'11'}~;

	$yymain .= qq~<br>
<table border="0" width="100%" cellspacing="1" cellpadding="6" bgcolor="$color{'bordercolor'}" class="bordercolor">
<tr>
<td class="titlebg" bgcolor="$color{'titlebg'}">
<table summary="" width="100%">
<tr><td align="left"><font size=2 class="text1" color="$color{'titletext'}"><b>$yytitle</b></font></td>
<td align="right"><font size=-1><a href="$scripturl?action=blog">Add/Edit Blog</a></font></td></tr>
</table></td>
</tr><tr>
<td class="windowbg2" bgcolor="$color{'windowbg'}"><font size=2><br>
~;

	if ($count == 0)
	{
		$yymain .= qq~<p>$ybg_txt{'17'}</p>~;
	}
	else
	{
		$yymain .= qq~
		<table border="0" width="100%" cellspacing="1" cellpadding="5" bgcolor="$color{'bordercolor'}" class="bordercolor">
		<tr>
		<td class="catbg">Name</td><td class="catbg">Subject</td><td class="catbg"><font size="-2">$txt{'301'}</font></td><td class="catbg"><font size="-2">$blog_txt{'14'}</font></td>~;
		if ($settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator') { $yymain .= qq~<td class="catbg"><font size="-2">$ybg_txt{'2'}</font></td>~; }
		$yymain .= qq~</tr>~;

fopen(FILE, "./Blogs/blog.txt"); 
@blogs = <FILE>; 
fclose(FILE);
		chomp @blogs;
		
		for ($i = 0; $i < @blogs; $i++)
	{
		if ($blogs[$i] eq $member){ 
		 $realmember=$blogs[$i+1] ;}
		}

		#list the members
		foreach $member (@home_members)
		{
		
				for ($i = 0; $i < @blogs; $i++)
	{
		if ($blogs[$i] eq $member){ 
		 $realmember=$blogs[$i+1] ;}
		}

			#get their name
			fopen(FILE, "$memberdir/$realmember.dat"); @memsettings=<FILE>; fclose(FILE);
			chomp $memsettings[1];
#	fopen(FILE, "$memberdir/$member.bls");
#	@gbsettings=<FILE>;
#	fclose(FILE);
#	chomp @gbsettings;
			#don't show them in the list to normal users if they're banned
			#do show them with a "banned" message to admins/global moderators
			$ybg = "$memberdir/$member.blog";
			fopen(FILE, $ybg); @lines = <FILE>; fclose(FILE);

			chomp $lines[0];
			($last_modified, $ns, $ybg_banned, $hits, $teaseline, $anonname, $showblog, $anonymous) = split(/\|/, $lines[0]);

			fopen(FILE, "./Blogs/$member.date");     #    "$mon/$mday/$year\n";
      $last_modified = <FILE>; 
			fclose(FILE);
	
			$last_modified = &timeformat($last_modified) || $last_modified;
#######################

	$name='';
			$online = qq~<img src="$imagesdir/redoff.gif" alt="OffLine">~;

			foreach $curentry (@entries) {
			chomp $curentry;
			($name, $value) = split(/\|/, $curentry);
			
			if($name eq $realmember) {
						$online = qq~<img src="$imagesdir/greenon.gif" alt="OnLine">~;	
						}
}
##########################3
if($anonymous eq "checked") {
			
			$online = qq~<img src="$imagesdir/anon.gif" alt="Anonymous"> <a href="$cgi;action=blogview;member=$member" title="$teaseline"><font size="-1">$anonname</font></a>~;	
			}else{
			$online .= qq~ <a href="$cgi;action=blogview;member=$member" title="$teaseline"><font size="-1">$memsettings[1]</font></a>~;
			}



			if ($ybg_banned)
			{
				#only show a banned blog if admin/global moderator
				if ($settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator')
				{
					$yymain .= qq~<tr><td class="windowbg2"><font size="2">$online</td>~;
					$yymain .= qq~<td class="windowbg2"><font size="2">$teaseline</font></td>\n~;
					$yymain .= qq~<td class="windowbg2"><font size="-2">$hits</font></td>\n~;
					$yymain .= qq~<td class="windowbg2"><font size="-2">$last_modified</font></td>\n~;
					$yymain .= qq~<td class="windowbg2"><font size="2"><a href="$cgi;action=blogban;member=$member">$img{'homepage_unban'}</a></font></td>\n</tr>~;
				}
			}
			else
			{
					$yymain .= qq~<tr><td class="windowbg2"><font size="2">$online</td>~;
					$yymain .= qq~<td class="windowbg2"><font size="2">$teaseline</font></td>\n~;
					$yymain .= qq~<td class="windowbg2"><font size="-2">$hits</font></td>\n~;
					$yymain .= qq~<td class="windowbg2"><font size="-2">$last_modified</font></td>\n~;
					if ($settings[7] eq 'Administrator' || $settings[7] eq 'Global Moderator') { $yymain .= qq~<td class="windowbg2">&nbsp;</td>~; }
					$yymain .= qq~</tr>~;
			}
		}

		$yymain .= qq~</table>\n~;
	}

	$yymain .= qq~

<br></font></td>
</tr>
</table>~;

	&template;
	exit;
}

1;